import { EventstoreAlreadyUnfrozenError } from '@resolve-js/eventstore-base';

const unfreeze = async ({
  database,
  eventsTableName,
  escapeId
}) => {
  try {
    await database.exec(`DROP TABLE ${escapeId(`${eventsTableName}-freeze`)}`);
  } catch (error) {
    throw new EventstoreAlreadyUnfrozenError();
  }
};

export default unfreeze;
//# sourceMappingURL=unfreeze.js.map